关闭

could not build module 'Foundation' ios QRCodeGenerator libqrencode

1844人阅读 评论(0) 收藏 举报
分类:


我这里出这个错的原因是因为项目中加入生成二维码libqrencode  *.c的文件,删除不要用就OK了 

could not build module 'Foundation'   

但是必须要用呢:加入这个东西后编译出现38个错,解决方法如下:
网上说:在QRCodeGenerator.h中引入#import <UIKit/UIKit.h>就好了(我这么做并不行)
接下来:
1.单击你的工程,选择TARGET下的目标文件
2.在选项卡中选择“Build Settings”选项
3.找到“Apple LLVM compiler x.x - Language”设置项(其中x.x为你的xcode默认的LLVM编译器版本,不同的xcode版本不一样)
4.图中绿色选中的选项“Compile Sources As”,意思是要把工程按照哪一种语言进行编译,默认是第一个“According to File Type”,将其改成Objective-C++即可。 (
我的改成objective-c++并不行,改成object-C就可以了

0
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:279058次
    • 积分:2921
    • 等级:
    • 排名:第12140名
    • 原创:55篇
    • 转载:7篇
    • 译文:6篇
    • 评论:42条
    文章分类
    最新评论